Subject: [MOBILE-IP] Forward Tunnel Entry Point

From: Henry Haverinen <[email-masked]>
Date: Tue, 30 Nov 1999 15:02:20 +0200

Hi all,

I have run into a small problem concerning Mobile IP forward tunnels.

RFC2002bis does not say anything about the source IP address of the
outer IP header for forward tunnels. For example, it doesn't mandate the
tunnel exit point to check that the source address in the outer header is
the address of the home agent. Thus, it seems to be perfectly
legal for a multi-homed home agent to use the address of an
arbitrary network interface for the tunnel entry point. This may
be a problem on the foreign agent or on the mobile node, because
the remote end of the tunnel is not known at the decapsulating end when
the tunnel is created. Some operating systems do not allow you
to create IP-in-IP tunnel exit points that decapsulate packets
from arbitrary source addresses.

Is this intentional? Or should we specify that the source IP
address of the outer IP header must be the address of the
home agent that was used by the mobile node in the registration
messages?

BTW, The reverse tunnelling RFC specifies the source IP address
of the reverse tunnel to be the care-of address, so in this case
the tunnel entry point cannot be the address of an arbitrary network
interface on the the foreign agent.

Best regards,
Henry Haverinen